package com.example.punyaria;

import android.os.Bundle;
import android.view.View;
import android.widget.ExpandableListView;
import android.widget.ImageView;

import androidx.appcompat.app.AppCompatActivity;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class FaqActivity extends AppCompatActivity {

    ExpandableListView expandableListView;
    CustomExpandableListAdapter expandableListAdapter;
    List<String> listDataHeader;
    HashMap<String, List<String>> listDataChild;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_faq);
        getSupportActionBar().hide();

        // Inisialisasi ExpandableListView
        expandableListView = findViewById(R.id.listViewFAQ);

        // Persiapkan data daftar pertanyaan dan jawaban
        prepareListData();

        // Buat adapter ExpandableListView
        expandableListAdapter = new CustomExpandableListAdapter(this, listDataHeader, listDataChild);

        // Atur adapter ke ExpandableListView
        expandableListView.setAdapter(expandableListAdapter);

        // Mengatur listener untuk panah kembali
        ImageView headerImageView = findViewById(R.id.headerImageView);
        headerImageView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                onBackPressed();
            }
        });
    }

    // Mengisi data daftar pertanyaan dan jawaban
    private void prepareListData() {
        listDataHeader = new ArrayList<>();
        listDataChild = new HashMap<>();

        // Menambahkan pertanyaan
        listDataHeader.add("Apa itu J-Konseling?");
        listDataHeader.add("Siapa yang dapat mengakses J-Konseling?");
        listDataHeader.add("Apakah konseling tersedia secara gratis?");
        listDataHeader.add("Bagaimana keamanan & privasi data konseli?");
        listDataHeader.add("Bagaimana proses konseling dilakukan?");
        listDataHeader.add("Bagaimana cara menangani situasi darurat atau kasus yang membutuhkan tanggapan cepat?");
        // Tambahkan pertanyaan lainnya sesuai kebutuhan

        // Menambahkan jawaban
        List<String> jawaban1 = new ArrayList<>();
        jawaban1.add("Aplikasi J-Konseling berfungsi untuk memberikan layanan konseling dan dukungan kepada korban kekerasan perempuan dan anak di Kabupaten Jember secara online, sehingga mereka dapat mengakses bantuan dan dukungan yang mereka butuhkan dengan lebih mudah dan cepat.");

        List<String> jawaban2 = new ArrayList<>();
        jawaban2.add("J-Konseling dapat diakses oleh korban kekerasan perempuan dan anak di Kabupaten Jember, serta oleh orang-orang yang memberikan dukungan kepada mereka, seperti keluarga atau teman dekat.");

        List<String> jawaban3 = new ArrayList<>();
        jawaban3.add("J-Konseling tersedia secara gratis untuk diunduh dan digunakan oleh siapa pun.");

        List<String> jawaban4 = new ArrayList<>();
        jawaban4.add("Semua informasi yang dibagikan selama sesi konseling akan dijaga kerahasiaannya sesuai dengan standar etika konseling dan keamanan data yang berlaku.");

        List<String> jawaban5 = new ArrayList<>();
        jawaban5.add("Proses konseling dilakukan melalui obrolan (chat) online dengan konselor yang terlatih dan berpengalaman dalam bidang kekerasan perempuan dan anak.");

        List<String> jawaban6 = new ArrayList<>();
        jawaban6.add("Untuk situasi darurat, anda dapat menghubungi hotline yang tersedia di dalam aplikasi. Tim kami akan segera memberikan respons dan bantuan yang diperlukan.");

        // Tambahkan jawaban ke masing-masing pertanyaan
        listDataChild.put(listDataHeader.get(0), jawaban1);
        listDataChild.put(listDataHeader.get(1), jawaban2);
        listDataChild.put(listDataHeader.get(2), jawaban3);
        listDataChild.put(listDataHeader.get(3), jawaban4);
        listDataChild.put(listDataHeader.get(4), jawaban5);
        listDataChild.put(listDataHeader.get(5), jawaban6);
        // Tambahkan jawaban lainnya sesuai kebutuhan
    }

}
